#!/bin/sh

CAMD_ID=1717
CAMNAME="Oscam ymod"

case "$1" in
  start)
  ulimit -s 1024
  start-stop-daemon -S -x /usr/bin/oscam -- -b
  ;;
  stop)
  start-stop-daemon -K -R 2 -x /usr/bin/oscam
  sleep 1
  kill -9 `pidof oscam` 2>/dev/null
  ;;
  restart)
  $0 stop
  sleep 2
  $0 start
  exit
  ;;
  version)
  echo "ymod 1855"
  ;;
  info)
  echo "Oscam ymod"
  ;;
  *)
  $0 stop
  exit 0
  ;;
esac

exit 0

